Back to Websites
Apify·Websites

Contact Details Scraper

/vdrmota/contact-info-scraperasync$0.005 / result

Email extractor and lead scraper to extract and download emails, phone numbers, Facebook, Twitter, LinkedIn, Instagram, Threads, Snapchat, and Telegram profiles from any website. Extract contact information at scale from lists of URLs and download the data as Excel, CSV, JSON, HTML, and XML. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarrayrequired

    The list of web pages from which the scraper will start crawling.You can also pass Linktree (linktr.ee) link-in-bio pages. The Actor reads every link on the profile and scrapes those linked sites for contact details, even with Stay within domain enabled.

  • maxRequestsPerStartUrlinteger

    The maximum number of pages that will be enqueued from each start URL you provide.

  • mergeContactsboolean

    Enable this option to merge all contacts and social media from every page of the same start URL into a single, clean result row. (default true)

  • maxDepthinteger

    The maximum number of links away from the Start URLs that the Actor will crawl. If 0, the scraper will not follow any links. If empty or null, the scraper will follow links to an arbitrary depth.

  • maxRequestsinteger

    The maximum number of pages the scraper will load. It is always a good idea to limit the number of pages, otherwise the scraper might run infinitely or consume too many resources.

  • sameDomainboolean

    If set, the scraper will only follow links within the same domain as the referring page.Links found on a Linktree (linktr.ee) page are an exception - they are always followed, even when this is enabled. (default true)

  • considerChildFramesboolean

    If set, the scraper will also extract contact information from iframes. You might not always want this (e.g. it will include data from online ads). (default true)

  • maximumLeadsEnrichmentRecordsinteger

    Set the maximum number of lead records to scrape per domain found. Default is 0, meaning no leads are scraped.⚠️ Some fields contain personal data, which is protected by GDPR in the EU and by other regulations worldwide. Only scrape personal data if you have a legitimate reason to do so; if you're u (default 0)

  • leadsEnrichmentDepartmentsarray

    Include only specific departments (e.g. Sales, Marketing, or C-Suite). Only works when the Maximum leads per domain add-on (maximumLeadsEnrichmentRecords) is enabled. Note that some job titles may be miscategorized.

  • verifyLeadsEnrichmentEmailsboolean

    When enabled, verifies the email address of each lead extracted during business leads enrichment. Each lead receives an emailVerification object with the verification result and quality assessment.Charged (decisive results): valid (ok), invalid, and disposable email addresses.Not charged: catch-all, (default false)

  • scrapeSocialMediaProfilesobject

    Enriched profiles are available in the Social profiles output tab. See the section description above for what data is retrieved and how it's priced. (default {"facebooks":false,"instagrams":false,"youtubes":false,"tiktoks":false,"twitters":false})

  • useBrowserboolean

    If set, the scraper will use a browser for crawling the pages. (default false)

  • waitUntilstring

    Select when a page should be considered loaded so that the Actor can start scraping it. *Only works with the browser.* (default "domcontentloaded")

    commit, domcontentloaded, load, networkidle

  • proxyConfigobjectrequired

    Proxy servers let you bypass website protections, avoid IP address blocking, and view content for other countries. Try to use a proxy if you are experiencing timeout errors. (default {"useApifyProxy":true})

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/vdrmota/contact-info-scraper","input":{"startUrls":[{"url":"https://apify.com"}],"proxyConfig":{"useApifyProxy":true}}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.